﻿.gallery-box {
	position: relative;

	.slider-controller {
		position: absolute;
		top: calc(50% - 1rem);
		right: 1.3rem;
		left: 1.3rem;
		z-index: 1;

		svg {
			display: block;
			cursor: pointer;
		}
	}

	.ProductGallery-Slider {
		border-radius: 0.4rem;
		margin-bottom: 1.6rem;
		overflow: hidden;

		.swiper-slide {
			img {
				width: 100%;
				height: 100%;
				object-fit: cover;
			}
		}
	}

	.ProductGallery-Thumbs {
		margin-bottom: 1.6rem;

		.swiper-slide {
			cursor: pointer;
			border-radius: 0.4rem;
			overflow: hidden;

			img {
				width: 100%;
				height: 100%;
				object-fit: cover;
			}

		}
	}

	@media(max-width: 960px) {

		.ProductGallery-Thumbs {

			.swiper-slide {}
		}
	}
}

.main-content {
	.gray-box {
		background: var(--accent-color3);
		color: var(--White);
		border-radius: 0.6rem;
		padding: 1.2rem 0.9rem;
		margin-bottom: 3rem;
	}

	.product-name {
		display: block;
		font-size: 1.1rem;
		font-weight: 700;
		color: var(--White);
	}



	.actions-row {
		.action-btn {
			position: relative;
			width: auto;
			height: auto;
			padding: 0;
			line-height: normal;
			display: flex;
			align-items: center;
			justify-content: center;
			border: none;
			background-color: transparent;
			margin-right: 1.5rem;
			cursor: pointer;

			svg {
				width: 16px;
				height: 16px;
				fill: var(--White);
			}

			&.addtowish {
				&.active {
					svg {
						fill: red;
					}
				}
			}

			.share-tooltip {
				display: none;
				position: absolute;
				bottom: calc(100% + 10px);
				left: 0;
				background-color: var(--accent-color);
				color: var(--White);
				white-space: nowrap;
				padding: 0.3rem 1rem;
				border-radius: 5px;
				-webkit-border-radius: 5px;
				-moz-border-radius: 5px;
				-ms-border-radius: 5px;
				-o-border-radius: 5px;
			}
		}
	}

	.advanced-option-selector {
		.attributes-group {
			display: inline-block;
			vertical-align: top;
			margin-left: 1rem;
		}
	}


	.rating-box {
		line-height: normal;

		svg {
			width: 14px;
			height: 14px;
			margin-left: 0.5rem;
			fill: var(--button-color);
		}
	}

	.code {

		svg {
			width: 14px;
			height: 14px;
			margin-left: 0.5rem;
			stroke: var(--accent-color);
		}
	}

	.comments-box {
		svg {
			fill: var(--accent-color3);
		}
	}

	.summary-box {
		font-size: 1rem;
		color: #000;

		svg {
			width: 14px;
			height: 14px;
			margin-left: 0.5rem;
			stroke: var(--accent-color2);
		}

		.desc {
			font-size: 1rem;

			p {
				margin: 0;
			}
		}

		.read-more {
			display: block;
			text-align: left;
			font-size: 1rem;
			color: var(--CustomColor8);
		}
	}

	.discount {
		min-width: 3.14rem;
		background-color: var(--Warning);
		font-size: 1.1rem;
		font-weight: bold;
		color: #fff;
		border-radius: 0.3rem;
		-webkit-border-radius: 0.3rem;
		-moz-border-radius: 0.3rem;
		-ms-border-radius: 0.3rem;
		-o-border-radius: 0.3rem;
	}

	.price-box {
		.old-price {
			color: var(--gray3);
			font-size: 1rem;
		}

		.final-price {
			font-size: 1.1rem;
			font-weight: 700;
		}

	}

	.count-wrapper {
		display: none;
		background-color: var(--LightGray1);
		border-radius: 0.4rem;

		.basket-link {
			color: #000;
			padding: 0 0.8rem;
			background: none;
			border: none;
			cursor: pointer;
		}

		.prod-count {
			.input-group {
				height: 2.9rem;
				background-color: #fff;
				border-radius: 0.4rem;

				.remove-item-from-basket {
					/* width: 16px; */
					/* height: 16px;
					stroke: #E40E26; */
					vertical-align: middle;
					cursor: pointer;
				}

				.input-group-text {
					display: inline-flex;
					vertical-align: middle;
					align-items: center;
					justify-content: center;
					height: 100%;

					button {
						font-size: 1.5rem;
						padding: 0.5rem;
						line-height: 0;
						min-height: unset !important;
						border: none;
						background-color: transparent;
						color: #000;
						cursor: pointer;
						font-weight: bold;
					}
				}

				input {
					width: 6rem;
					border: none !important;
					outline: none;
					background-color: transparent;
					text-align: center !important;
					font-size: 1rem;
					font-weight: bold;
				}
			}
		}
	}

	.addToBasket {
		display: flex;
		align-items: center;
		justify-content: center;
		background-color: #00B03E;
		color: var(--White);
		font-size: 1.1rem;
		border: none;
		height: 3.42rem;
		width: 22.4rem;
		border-radius: 0.5rem;
		cursor: pointer;

		svg {
			width: 1.7rem;
			height: 1.7rem;
			fill: var(--White);
		}
	}
}

.tab-holder {
	margin-bottom: 4rem;

	.tab-captions {
		>.item {
			background: var(--gray4);
			font-size: 1.1rem;
			font-weight: 700;
			padding: 0.6rem 1.3rem;
			cursor: pointer;
			transition: all 0.3s ease;

			&:first-child {
				border-radius: 0 0.5rem 0 0;
			}

			&:last-child {
				border-radius: 0.5rem 0 0 0;
			}

			&.active {
				background: var(--accent-color);
				color: var(--White);
			}
		}
	}

	.tab-content {
		>.item {
			display: none;
			background: var(--gray4);
			padding: 1.1rem;
			width: 100%;
			min-height: 10rem;
			border-radius: 0.4rem 0 0.4rem 0.4rem;

			&.active {
				display: block;
			}
		}
	}
}

.notification-form-modal {
	width: 400px !important;
	max-width: 100% !important;
	border-radius: 5px;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	padding: 1.5rem !important;

	.notification-form {
		.input-group {
			position: relative;
			border: solid 1px #F1EEEE !important;
			display: flex;
			align-items: center;
			justify-content: start;
			gap: 0.2rem;
			border-radius: 5px;
			-webkit-border-radius: 5px;
			-moz-border-radius: 5px;
			-ms-border-radius: 5px;
			-o-border-radius: 5px;
			padding: 0px 1rem;
			margin-bottom: 1rem;

			.input-group-text {}

			.form-control {
				width: 100%;
				height: 42px;
				border: none !important;
				outline: none;
				font-size: 1rem;
				padding: 0.5rem 0;
				resize: none;

				&::placeholder {
					color: #959595;
					font-size: 1rem;
					font-weight: normal;
				}

				&:disabled {
					background-color: transparent;
				}
			}

			svg {
				min-width: 18px;
				width: 18px;
				height: 15px;
				stroke: #1B2C65;
				margin-left: 0.8rem;
			}
		}

		.btn {
			display: flex;
			align-items: center;
			border: none;
			padding: 0.5rem 1rem;
			border-radius: 5px;
			gap: 8px;
			background: var(--accent-color);
			color: var(--White);
			margin: auto;
			cursor: pointer;

			svg {
				width: 1.2rem;
				height: 1.2rem;
				stroke: var(--accent-color3);
			}
		}
	}
}

.sections-wraper {

	.anchor-links-col {
		position: -webkit-sticky;
		position: sticky;
		top: 0;
		height: fit-content;
		width: 52px;
		min-width: 52px;
		padding-top: 7rem;
		margin-left: 1rem;
		z-index: 1;

		.anchor-links {

			.item {
				width: 100%;
				height: 52px;
				margin-bottom: 0.5rem;
				background-color: #F5F5F5;
				border-radius: 5px;
				-webkit-border-radius: 5px;
				-moz-border-radius: 5px;
				-ms-border-radius: 5px;
				-o-border-radius: 5px;

				svg {
					width: 20px;
					stroke: #000;
				}

				.anchor-tooltip {
					position: absolute;
					right: calc(100% + 1rem);
					top: 0;
					bottom: 0;
					background-color: var(--accent-color);
					padding: 1rem 3rem;
					border-radius: 5px;
					-webkit-border-radius: 5px;
					-moz-border-radius: 5px;
					-ms-border-radius: 5px;
					-o-border-radius: 5px;
					font-size: 1rem;
					color: var(--White);
					white-space: nowrap;
					visibility: hidden;
					opacity: 0;
					transition: all 0.3s ease;
					-webkit-transition: all 0.3s ease;
					-moz-transition: all 0.3s ease;
					-ms-transition: all 0.3s ease;
					-o-transition: all 0.3s ease;

					&:before {
						content: '';
						position: absolute;
						top: calc(50% - 6px);
						left: 100%;
						border-top: 6px solid transparent;
						border-bottom: 6px solid transparent;
						border-left: 8px solid var(--accent-color);
					}
				}

				&:hover {
					svg {
						stroke: var(--accent-color);
					}

					.anchor-tooltip {
						visibility: visible;
						opacity: 1;
					}
				}
			}
		}
	}

	.content-col {
		width: calc(100% - 52px);
	}
}


.ancher-target {
	padding-top: 7rem;
}

.description-detail {
	font-size: 1rem;
	color: #000;
	padding: 1.5rem;
	border-radius: 5px;
	border: solid 1px #F5F5F5;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
}

.technical-list {

	.technical-item {
		display: flex;
		align-items: start;
		justify-content: space-between;
		width: 100%;
		gap: 0.8rem;
		margin-bottom: 1rem;

		.technical-list-key,
		.technical-list-value {
			padding: 0.4rem 0.8rem;

			svg {
				width: 10px;
				min-width: 10px;
				height: 10px;
				stroke: var(--accent-color);
				margin-left: 1rem;
			}
		}

		.technical-list-key {
			width: 10.7rem;
			max-width: 100%;
			border-radius: 0.6rem;
			background: #98989A;
			color: var(--White);
		}

		.technical-list-value {
			width: calc(100% - 10.7rem);
		}

	}

	ul {
		list-style: none;
	}

	.technical-specificlist {

		li {
			list-style: none;

			.seprator {
				margin-left: 0.2rem;
			}

			&:last-child {
				.seprator {
					display: none;
				}
			}
		}
	}
}

.comments-form {
	.sec-title {
		display: block;
		color: #000;
		font-size: 1.1rem;
		margin-bottom: 1rem;
	}

	.label {
		font-weight: 700;
	}

	.field-holder {
		position: relative;
		border: solid 1px #F1EEEE !important;
		background-color: var(--White);
		display: flex;
		align-items: center;
		justify-content: start;
		border-radius: 5px;
		-webkit-border-radius: 5px;
		-moz-border-radius: 5px;
		-ms-border-radius: 5px;
		-o-border-radius: 5px;
		padding: 0px 1rem;
		margin-bottom: 1rem;

		svg {
			min-width: 18px;
			width: 18px;
			height: 15px;
			stroke: #1B2C65;
			margin-left: 0.8rem;
		}

		.form-control {
			width: 100%;
			height: 42px;
			border: none !important;
			outline: none;
			font-size: 1rem;
			padding: 0.5rem 0;
			resize: none;

			&::placeholder {
				color: #959595;
				font-size: 1rem;
				font-weight: normal;
			}

			&:disabled {
				background-color: transparent;
			}
		}

		textarea {
			min-height: 150px;
		}
	}

	.rating-in-comment {
		.caption {
			color: #000;
		}
	}

	.submit-btn {
		font-size: 1rem;
		color: var(--White);
		border: none;
		padding: 0.3rem 1.5rem;
		border-radius: 5px;
		background-color: var(--accent-color);
		cursor: pointer;

	}
}

.comments-list {
	margin-top: 3rem;

	li {
		list-style: none;
		margin-bottom: 2rem;

		&:last-child {
			margin-bottom: 0;
		}

		.avatar {
			width: 50px;
			min-width: 50px;
			height: 50px;
			background-color: var(--accent-color2);
			border-radius: 5px;
			margin-left: 1rem;

			svg {
				width: 20px;
				stroke: var(--White);
			}
		}

		.comment-head {
			width: 100%;
			height: 50px;
			padding: 0.4rem 1rem;
			background-color: #FBFBFB;
			border-radius: 5px;
			border: solid 1px #F1F1F1;

			.author {
				font-weight: 700;
			}

			.dete {
				.item {
					font-size: 0.8rem;
					color: #000;

					&:first-child {
						margin-left: 1rem;
						padding-left: 1rem;
						border-left: solid 1px #EBEBEB;
					}

					svg {
						width: 14px;
						height: 14px;
						margin-left: 0.5rem;
						stroke: var(--accent-color);
					}

				}
			}
		}

		.comment-body {
			padding: 1rem;
			border-bottom: solid 1px #E3E3E3;

			.comment-content {
				font-size: 1rem;
				color: #000;
			}

			.action-btns {
				svg {
					cursor: pointer;
				}

				.like {
					.like-couner {
						color: #000;
						margin-top: -3px;
						margin-left: 2px;
					}
				}
			}
		}

		&:last-child {
			margin-bottom: 0;

			.comment-body {
				border-bottom: none;
			}
		}

	}
}

.similar-product-section {
	border-radius: 5px;
	margin: 6rem 0px 4rem;
	background-color: #CB3E36;

	.cat-box {
		width: 135px;
		height: 100%;
		min-width: 135px;
		margin-left: 5px;

		.img-box {
			width: 100%;
			min-height: 115px;
			background: transparent;
			background: radial-gradient(circle, rgb(255 255 255 / 60%) 0%, transparent 66%);
		}

		.title {
			font-size: 1.2rem;
			color: white;
			margin-bottom: 2rem;
			text-align: center;
		}

		.slogan-img {
			max-width: 100%;
		}
	}

	.slider_box {
		width: calc(100% - 140px);
		min-width: calc(100% - 140px);

		.swiper-slide {
			display: flex;
			flex-direction: column;
			justify-content: space-between;
			min-height: 258px;
			border-radius: 5px;
			-webkit-border-radius: 5px;
			-moz-border-radius: 5px;
			-ms-border-radius: 5px;
			-o-border-radius: 5px;
			background-color: white;
			padding: 8px;

			.cat-logo {
				display: flex;
				align-items: center;
				justify-content: center;
				position: absolute;
				top: 5px;
				left: 5px;
				width: 30px;
				height: 30px;
				border: solid 1px #F5F5F5;
				padding: 2px;
				background: var(--White);
				border-radius: 5px;
				-webkit-border-radius: 5px;
				-moz-border-radius: 5px;
				-ms-border-radius: 5px;
				-o-border-radius: 5px;
				overflow: hidden;
			}

			.title {
				font-size: 1rem;
				text-align: right;
				white-space: nowrap;
				overflow: hidden;
				text-overflow: ellipsis;
			}

			.price-box {
				min-height: 43px;

				strike {
					font-size: 11px;
				}
			}


			.discount {
				width: 30px;
				height: 30px;
				background-color: var(--button-color);
				border-radius: 50%;
				font-size: 11px;
				color: var(--White);
			}
		}
	}
}

@media(max-width:960px) {
	.technical-list {
		display: block;

		.technical-item {
			width: 100%;
			margin-bottom: 0.5rem;
		}
	}
}